## ros-eloquent-rmw-opensplice-cpp 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_opensplice_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(opensplice_cmake_module REQUIRED)
find_package(OpenSplice MODULE)
if(NOT OpenSplice_FOUND)
  ament_package()
  message(WARNING "Could not find ADLINK OpenSplice - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rosidl_typesupport_opensplice_c)
find_package(rosidl_typesupport_opensplice_cpp)
if(NOT rosidl_typesupport_opensplice_cpp_FOUND OR NOT rosidl_typesupport_opensplice_c_FOUND)
  ament_package()
  message(WARNING "Could not find ROSIDL TypeSupport for OpenSplice (rosidl_typesupport_opensplice_cpp or rosidl_typesupport_opensplice_c) - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosidl_generator_c REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)

ament_export_dependencies(
  rcutils
  rmw
  rosidl_generator_c
  rosidl_generator_cpp
  rosidl_typesupport_opensplice_c
  rosidl_typesupport_opensplice_cpp
)

link_directories(${OpenSplice_LIBRARY_DIRS})
add_library(rmw_opensplice_cpp SHARED
  src/demangle.cpp
  src/event_converter.cpp
  src/identifier.cpp
  src/namespace_prefix.cpp
  src/qos.cpp
  src/rmw_logging.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/serialization_format.cpp
  src/types.cpp
)
ament_target_dependencies(rmw_opensplice_cpp
  "rcpputils"
  "rcutils"
  "rmw"
  "rosidl_generator_c"
  "rosidl_generator_cpp"
  "rosidl_typesupport_opensplice_c"
  "rosidl_typesupport_opensplice_cpp"
  "OpenSplice"
)
# On Windows this adds the RMW_BUILDING_DLL definition.
# On Unix (GCC or Clang) it hides the symbols with -fvisibility=hidden.
configure_rmw_library(rmw_opensplice_cpp)

if(WIN32)
  target_compile_definitions(rmw_opensplice_cpp
    PRIVATE "_CRT_NONSTDC_NO_DEPRECATE")
endif()

ament_export_libraries(rmw_opensplice_cpp)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_opensplice_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_opensplice_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${rmw_INCLUDE_DIRS})
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake")

install(
  TARGETS rmw_opensplice_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-eloquent-rmw-opensplice-cpp (0.8.1-1bionic) bionic; urgency=high

  * use return_loaned_message_from (#290 <https://github.com/ros2/rmw_opensplice/issues/290>)
  * Add localhost parameter to create node function (#288 <https://github.com/ros2/rmw_opensplice/issues/288>)
  * zero copy api for opensplice (#285 <https://github.com/ros2/rmw_opensplice/issues/285>)
  * Change PrismTech -> ADLINK (#287 <https://github.com/ros2/rmw_opensplice/issues/287>)
  * Fix build error (#286 <https://github.com/ros2/rmw_opensplice/issues/286>)
  * update signature for added pub/sub options (#284 <https://github.com/ros2/rmw_opensplice/issues/284>)
  * Contributors: Brian Marchi, Dan Rose, Karsten Knese, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.8.0-1bionic) bionic; urgency=high

  * Return specific error when not finding a node name (#281 <https://github.com/ros2/rmw_opensplice/issues/281>)
  * use a common datareader to fetch node info from participants.(#242 <https://github.com/ros2/rmw_opensplice/issues/242>) (#275 <https://github.com/ros2/rmw_opensplice/issues/275>)
  * Don't export rcpputils dependency (#277 <https://github.com/ros2/rmw_opensplice/issues/277>)
  * Add function for getting clients by node (#274 <https://github.com/ros2/rmw_opensplice/issues/274>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#272 <https://github.com/ros2/rmw_opensplice/issues/272>)
  * Fix a comparison with a sign mismatch (#276 <https://github.com/ros2/rmw_opensplice/issues/276>)
  * Implement get_actual_qos() for subscriptions (#271 <https://github.com/ros2/rmw_opensplice/issues/271>)
  * add missing qos setings in get_actual_qos() (#270 <https://github.com/ros2/rmw_opensplice/issues/270>)
  * Contributors: Jacob Perron, M. M, Scott K Logan, YuSheng, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.7.1-1bionic) bionic; urgency=high

  * Combine package name with message namespace in type support struct (#268 <https://github.com/ros2/rmw_opensplice/issues/268>)
  * fix windows build warnings (#269 <https://github.com/ros2/rmw_opensplice/issues/269>)
  * Implement QoS: liveliness, deadline, lifespan (#266 <https://github.com/ros2/rmw_opensplice/issues/266>)
  * API updates for preallocation work. (#267 <https://github.com/ros2/rmw_opensplice/issues/267>)
  * Contributors: Jacob Perron, M. M, Michael Carroll, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#265 <https://github.com/ros2/rmw_opensplice/issues/265>)
  * Add rmw includes to cppcheck (#261 <https://github.com/ros2/rmw_opensplice/issues/261>)
  * GUID fix for node graph implementation (#255 <https://github.com/ros2/rmw_opensplice/issues/255>)
  * pass context to wait set and fini context (#257 <https://github.com/ros2/rmw_opensplice/issues/257>)
  * Contributors: M. M, Shane Loretz, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.2-1bionic) bionic; urgency=high

  * fix compiler warnings on Windows introduced in #251 <https://github.com/ros2/rmw_opensplice/issues/251> (#252 <https://github.com/ros2/rmw_opensplice/issues/252>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.1-1bionic) bionic; urgency=high

  * Node graph impl (#251 <https://github.com/ros2/rmw_opensplice/issues/251>)
  * refactor to support init options and context (#246 <https://github.com/ros2/rmw_opensplice/issues/246>)
  * add opensplice support for cdr serialization (#247 <https://github.com/ros2/rmw_opensplice/issues/247>)
  * Methods to retrieve matched counts on pub/sub (#248 <https://github.com/ros2/rmw_opensplice/issues/248>)
  * suppress warning on Windows (#250 <https://github.com/ros2/rmw_opensplice/issues/250>)
  * update to OpenSplice 6.9 (#249 <https://github.com/ros2/rmw_opensplice/issues/249>)
  * Contributors: Dirk Thomas, MarcelJordense, Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API from rcutils (#245 <https://github.com/ros2/rmw_opensplice/issues/245>)
  * Add semicolons to all RCLCPP and RCUTILS macros. (#244 <https://github.com/ros2/rmw_opensplice/issues/244>)
  * Include node namespaces in get_node_names (#243 <https://github.com/ros2/rmw_opensplice/issues/243>)
  * add rmw_get_serialization_format (#241 <https://github.com/ros2/rmw_opensplice/issues/241>)
  * Contributors: Chris Lalancette, Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.2-1bionic) bionic; urgency=high

  * Don't error if Sample_ prefix not found in service type (#240 <https://github.com/ros2/rmw_opensplice/issues/240>)
  * Contributors: dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.1-1bionic) bionic; urgency=high

  * accept RETCODE_PRECONDITION_NOT_MET when detaching condition (#235 <https://github.com/ros2/rmw_opensplice/issues/235>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.0-1bionic) bionic; urgency=high

  * strip 'Sample_' from reported types (#234 <https://github.com/ros2/rmw_opensplice/issues/234>)
  * homogenize opensplice keys and use libopensplice67 everywhere (#232 <https://github.com/ros2/rmw_opensplice/issues/232>)


=== debian/control ===
Source: ros-eloquent-rmw-opensplice-cpp
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libopensplice69, ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-opensplice-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-generator-dds-idl, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-opensplice-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopensplice69, ros-eloquent-ament-cmake, ros-eloquent-opensplice-cmake-module, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp, ros-eloquent-ros-workspace
Description: Implement the ROS middleware interface using ADLINK OpenSplice static code generation in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rmw-opensplice-cpp//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
